"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
const languageMap = require('language-map');
class Languages {
    constructor(options) {
        Languages.extensionMap = this.loadExtensionMap();
    }
    loadExtensionMap() {
        const extensions = {};
        Object.keys(languageMap).map(language => {
            const languageMode = languageMap[language];
            const languageExtensions = languageMode && languageMode.extensions || [];
            languageExtensions.map((extension) => {
                extensions[extension.toLowerCase()] = language.toLowerCase();
            });
        });
        return Object.assign({}, extensions, utils_1.ExtensionJustify);
    }
    static getExtensionMap() {
        return Languages.extensionMap;
    }
}
Languages.extensionMap = {};
exports.Languages = Languages;
//# sourceMappingURL=languages.js.map